Subject: Re: bug#62508: 28.2; vhdl-mode ModelSim compile warnings aren't highlighted
From: Eli Zaretskii <[email-masked]>
To: Cyril Arnould <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 01 Apr 2023 13:09:04 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Cyril Arnould <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Thu, 30 Mar 2023 14:23:48 +0000
> 
> I can confirm that with the regexp above, my ModelSim also detects the warnings, albeit as errors.
> 
> After some digging I found that when I was compiling with GHDL, it didn't actually match with the GHDL
> regexp defined in vhdl-mode.el but with the gnu compiler regexp, which I believe is defined in
> etc/compilation.txt. Makes sense since GHDL is based on GCC.
> 
> I guess differentiating between Warnings and Errors for VHDL compilers would in this case be more of a
> feature request than a bug, so with Reto's fix the bug can be seen as resolved.

Thanks, I installed this on the emacs-29 branch, and I'm closing this
bug.